## org.jboss.util
Class FileURLPatch

    java.lang.Object
      |
      +--org.jboss.util.FileURLPatch

All Implemented Interfaces:
  FileURLPatchMBean, javax.management.MBeanRegistration

public class FileURLPatch
extends java.lang.Object
implements FileURLPatchMBean, javax.management.MBeanRegistration

A MBean that patches the file URL handing implementation so that JBoss can be run in directories with a space in it. Has the weird side-effect that all file based URLs when externalized with have spaces replaced with pluses.

Version:
  $Revision: 1.2.2.1 $
Author:
  Hiram Chirino.

Field Summary
`static java.lang.String` `OBJECT_NAME`

Constructor Summary
`FileURLPatch()`

Method Summary
`void` `postDeregister()`
`void` `postRegister(java.lang.Boolean registrationDone)`
`void` `preDeregister()`
`javax.management.ObjectName` `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` `setEnabled(boolean enable)` This patch can be enabled and disabled at runtime by calling this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Constructor Detail

### FileURLPatch

    public FileURLPatch()

Method Detail

### setEnabled

    public void setEnabled(boolean enable)

  This patch can be enabled and disabled at runtime by calling this method.
  Specified by:
    `setEnabled` in interface `FileURLPatchMBean`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Copyright © 2000 The JBoss Organization. All Rights Reserved.